function y = interp1(T1, T2, x)

%interp11  Linear interpolation from table (introduced for MATLAB
%          compatibility, used to be called table1 in previous versions of
%          MATLAB and H2M).
%          Use: y = interp1(X, Y, ,x).

% H2M/cnt Toolbox, $Revision: 2.1 $
% Olivier Capp, 31/12/98 - $Date: 2004/03/15 14:02:06 $
% http://www.tsi.enst.fr/~cappe/h2m/

y = zeros(size(x));

for i = 1:length(x)
  xi = x(i);
  if (any(T1 == xi))
    y(i) = T2(find(T1 == xi));
  else
    tinf = find(T1 < xi);
    tinf = tinf(length(tinf));
    tsup = find(T1 > xi);
    tsup = tsup(1);
    alpha = (xi-T1(tinf))/(T1(tsup)-T1(tinf));
    y(i) = T2(tinf)*(1-alpha) + T2(tsup)*alpha;
  end
end
